## hubzero-cli 0.1

=== Makefile ===
# Copyright 2005-2012 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License,
# Version 2 as published by the Free Software Foundation.

USRBINDIR=$(DESTDIR)/usr/bin
INSTDIR=$(DESTDIR)/$(USRBINDIR)

# to support rpm's using this makefile when building package, debian has a --fakeroot option when building
# their package, rpm does not, so we fake it out by passing these when calling this makefile
OWNER=$(shell if [ -z "$(INSTALLOWNER)" ]; then echo "root"; else echo $(INSTALLOWNER); fi)
GROUP=$(shell if [ -z "$(INSTALLGROUP)" ]; then echo "root"; else echo $(INSTALLGROUP); fi)

# to support architecture specific logic
ARCH = $(shell if [ -f /etc/redhat-release ]; then echo "rh"; else echo "deb"; fi)

install:
        install hubuseradd $(INSTDIR)/hubuseradd --owner $(OWNER) --group $(GROUP) --mode 0755
clean:

## hubzero-cli 1.01

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 # modify it under the terms of the GNU General Public License,
 # Version 2 as published by the Free Software Foundation.
 
-USRBINDIR=$(DESTDIR)/usr/bin
-INSTDIR=$(DESTDIR)/$(USRBINDIR)
+USRBINDIR=/usr/bin
+INSTDIR=$(DESTDIR)$(USRBINDIR)
 
 # to support rpm's using this makefile when building package, debian has a --fakeroot option when building
 # their package, rpm does not, so we fake it out by passing these when calling this makefile
@@ -17,5 +17,14 @@
 ARCH = $(shell if [ -f /etc/redhat-release ]; then echo "rh"; else echo "deb"; fi)
 
 install:
-        install hubuseradd $(INSTDIR)/hubuseradd --owner $(OWNER) --group $(GROUP) --mode 0755
+	@echo "inside our install"
+	@echo "INSTDIR="$(INSTDIR)
+	@echo "DESTDIR="$(DESTDIR)
+	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)
+	install hubuseradd $(INSTDIR)/hzcms --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hzdelgroup --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hzdeluser --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hzgroupadd --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hzldapinit --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hzuseradd --owner $(OWNER) --group $(GROUP) --mode 0755
 clean:

## hubzero-cli 1.1

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,5 @@
 	@echo "INSTDIR="$(INSTDIR)
 	@echo "DESTDIR="$(DESTDIR)
 	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)
-	install hubuseradd $(INSTDIR)/hzcms --owner $(OWNER) --group $(GROUP) --mode 0755
-	install hubuseradd $(INSTDIR)/hzdelgroup --owner $(OWNER) --group $(GROUP) --mode 0755
-	install hubuseradd $(INSTDIR)/hzdeluser --owner $(OWNER) --group $(GROUP) --mode 0755
-	install hubuseradd $(INSTDIR)/hzgroupadd --owner $(OWNER) --group $(GROUP) --mode 0755
-	install hubuseradd $(INSTDIR)/hzldapinit --owner $(OWNER) --group $(GROUP) --mode 0755
-	install hubuseradd $(INSTDIR)/hzuseradd --owner $(OWNER) --group $(GROUP) --mode 0755
+	install hubuseradd $(INSTDIR)/hubuseradd --owner $(OWNER) --group $(GROUP) --mode 0755
 clean:

## hubzero-cli 1.1.1

=== Makefile ===
# @package      hubzero-cli
# @file         Makefile
# @author       David Benham <dbenham@purdue.edu>
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBINDIR=$(DESTDIR)/usr/bin

default all build:
	@true

install:
	install -D hzdelgroup $(USRBINDIR)/hzdelgroup --mode 0755
	install -D hzdeluser $(USRBINDIR)/hzdeluser --mode 0755
	install -D hzgroupadd $(USRBINDIR)/hzgroupadd  --mode 0755
	install -D hzuseradd $(USRBINDIR)/hzuseradd --mode 0755

configure:
	@true

clean:
	@true

## hubzero-cli 1.1.3

=== Makefile ===
--- 
+++ 
@@ -32,10 +32,10 @@
 	@true
 
 install:
-	install -D hzdelgroup $(USRBINDIR)/hzdelgroup --mode 0755
-	install -D hzdeluser $(USRBINDIR)/hzdeluser --mode 0755
-	install -D hzgroupadd $(USRBINDIR)/hzgroupadd  --mode 0755
-	install -D hzuseradd $(USRBINDIR)/hzuseradd --mode 0755
+	install --mode 0755 -D hzdelgroup $(USRBINDIR)/hzdelgroup
+	install --mode 0755 -D hzdeluser  $(USRBINDIR)/hzdeluser
+	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
+	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
 
 configure:
 	@true

## hubzero-cli 1.1.18

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	install --mode 0755 -D hzdeluser  $(USRBINDIR)/hzdeluser
 	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
 	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
+	install --mode 0755 -D hzcomponentparameter  $(USRBINDIR)/hzcomponentparameter
 
 configure:
 	@true

## hubzero-cli 1.1.21

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -27,6 +27,7 @@
 #
 
 USRBINDIR=$(DESTDIR)/usr/bin
+USRSHAREDIR=$(DESTDIR)/usr/share
 
 default all build:
 	@true
@@ -37,6 +38,10 @@
 	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
 	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
 	install --mode 0755 -D hzcomponentparameter  $(USRBINDIR)/hzcomponentparameter
+	install --mode 0755 -D hzcms $(USRBINDIR)/hzdelgroup
+	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
+	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf
+	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf
 
 configure:
 	@true

## hubzero-cli 1.1.22

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
 	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
 	install --mode 0755 -D hzcomponentparameter  $(USRBINDIR)/hzcomponentparameter
-	install --mode 0755 -D hzcms $(USRBINDIR)/hzdelgroup
+	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
 	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
 	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf
 	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf

## hubzero-cli 1.2.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 #
 
 USRBINDIR=$(DESTDIR)/usr/bin
-USRSHAREDIR=$(DESTDIR)/usr/share
 
 default all build:
 	@true
@@ -38,10 +37,6 @@
 	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
 	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
 	install --mode 0755 -D hzcomponentparameter  $(USRBINDIR)/hzcomponentparameter
-	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
-	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
-	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf
-	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf
 
 configure:
 	@true

## hubzero-cli 1.2.18

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 #
 
 USRBINDIR=$(DESTDIR)/usr/bin
+USRSHAREDIR=$(DESTDIR)/usr/share
 
 default all build:
 	@true
@@ -37,6 +38,10 @@
 	install --mode 0755 -D hzgroupadd $(USRBINDIR)/hzgroupadd
 	install --mode 0755 -D hzuseradd  $(USRBINDIR)/hzuseradd
 	install --mode 0755 -D hzcomponentparameter  $(USRBINDIR)/hzcomponentparameter
+	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
+	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
+	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf/logrotate-cmscron.m4
+	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cli/conf/cron-cmscron.m4
 
 configure:
 	@true

## hubzero-cli 1.3.10

=== Makefile ===
# @package      hubzero-cli
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -D hzdelgroup $(USRBIN)/hzdelgroup
	install --mode 0755 -D hzdeluser  $(USRBIN)/hzdeluser
	install --mode 0755 -D hzgroupadd $(USRBIN)/hzgroupadd
	install --mode 0755 -D hzuseradd  $(USRBIN)/hzuseradd
	install --mode 0755 -D hzcomponentparameter  $(USRBIN)/hzcomponentparameter
	install --mode 0755 -D hzcms $(USRBIN)/hzcms
	install --mode 0755 -D hzcms-tick $(USRBIN)/hzcms-tick
	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHARE)/hubzero-cli/conf/logrotate-cmscron.m4
	install --mode 0644 -D cron-cmscron.m4 $(USRSHARE)/hubzero-cli/conf/cron-cmscron.m4

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-cli 2.1.34

=== Makefile ===
# @package      hubzero-cli
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -D hzdelgroup $(USRBIN)/hzdelgroup
	install --mode 0755 -D hzdeluser  $(USRBIN)/hzdeluser
	install --mode 0755 -D hzgroupadd $(USRBIN)/hzgroupadd
	install --mode 0755 -D hzuseradd  $(USRBIN)/hzuseradd
	install --mode 0755 -D hzcomponentparameter  $(USRBIN)/hzcomponentparameter
	install --mode 0755 -D hzcms $(USRBIN)/hzcms
	install --mode 0755 -D hzcms-tick $(USRBIN)/hzcms-tick
	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHARE)/hubzero-cli/conf/logrotate-cmscron.m4
	install --mode 0644 -D cron-cmscron.m4 $(USRSHARE)/hubzero-cli/conf/cron-cmscron.m4

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-cli 2.1.38-1+deb7

=== debian/changelog ===
hubzero-cli (2.1.38-1+deb7) unstable; urgency=low

  * packaging fix for debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 10:42:21 -0400

hubzero-cli (2.1.37-1) unstable; urgency=low

  * hzcms: fix apache config file 2.2->2.4 migration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 20 Jun 2018 10:15:12 -0400

hubzero-cli (2.1.36-1) unstable; urgency=low

  * hzcms: use default Mutex configuration for filexfer-xlate with apache 2.4

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Jun 2018 15:20:24 -0400

hubzero-cli (2.1.35-1) unstable; urgency=low

  * hzcms: fix grub kernel scan to not require /boot in vmlinuz path

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 09 Nov 2017 16:30:42 -0500

hubzero-cli (2.1.34-1) unstable; urgency=low

  * hzcms: debian 8 / apache 2.4 fixes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 03 Nov 2017 10:16:42 -0400

hubzero-cli (2.1.33-1) unstable; urgency=low

  * hzcms: also patch ssl .m4 files from 2.1.27

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 01 Nov 2017 10:40:03 -0400

hubzero-cli (2.1.32-1) unstable; urgency=low

  * hzcms: restore line deleted in previous commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Aug 2017 16:10:02 -0400

hubzero-cli (2.1.31-1) unstable; urgency=low

  * hzcms: regenerate grub.cfg before parsing
  * hzcms: add debian 8 support to openvz uncofigure 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Aug 2017 15:30:37 -0400

hubzero-cli (2.1.30-1) unstable; urgency=low

  * hzcms: allow openvz configuration before cms installed

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Aug 2017 11:11:52 -0400

hubzero-cli (2.1.29-1) unstable; urgency=low

  * hzcms: add Debian 8 support to openvz configure

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 Aug 2017 12:58:18 -0400

hubzero-cli (2.1.28-1) unstable; urgency=low

  * hzcms: perform nscd/nsss cache invalidation after adding apps user

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Aug 2017 13:25:48 -0400

hubzero-cli (2.1.27-1) unstable; urgency=low

  * hzcms: fix permission setting functions
  * hzcms: remove nokeepalive for apache m4 files

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 Aug 2017 11:13:22 -0400

hubzero-cli (2.1.26-1) unstable; urgency=low

  * hzcms: fix permissions on sssd.conf file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 Aug 2017 11:13:22 -0400

hubzero-cli (2.1.25-1) unstable; urgency=low

  * hzcms: fix two typos introduced in previous version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 26 Jun 2017 11:27:03 -0400

hubzero-cli (2.1.24-1) unstable; urgency=low

  * hzcms: add conditional case to lineinfile() and use appropriately
  * hzcms: fix some instances of misnamed language files in copied templates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 25 Jun 2017 16:42:07 -0400

hubzero-cli (2.1.23-1) unstable; urgency=low

  * hzcms: fix lineinfile() calls to use path instead of dest arg name
  * hzcms: fix /apps ownership fixer to be conditional on forge being configured

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Jun 2017 16:22:39 -0400

hubzero-cli (2.1.22-1) unstable; urgency=low

  * hzcms: run hubzero-vncproxyd-ws configuration fixes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 10:07:41 -0400

hubzero-cli (2.1.21-1) unstable; urgency=low

  * hzcms: fix hubcms-cron to run as apache user on redhat

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Jun 2017 13:21:41 -0400

hubzero-cli (2.1.20-2) unstable; urgency=low

  * add rsync dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 13:36:10 -0500

hubzero-cli (2.1.20-1) unstable; urgency=low

  * autodetect httpd vs apache2 service calls

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 13:31:36 -0500

hubzero-cli (2.1.19-1) unstable; urgency=low

  * hzcms: fix typo from last commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 Nov 2016 11:59:27 -0500

hubzero-cli (2.1.18-1) unstable; urgency=low

  * hzcms: add update-timezone-database
  * hzcms: add set-mysql-root-password

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 18 Nov 2016 15:48:02 -0500

hubzero-cli (2.1.17-1) unstable; urgency=low

  * hzcms: add change-internal-hostname command

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 02 Nov 2016 15:45:41 -0400

hubzero-cli (2.1.16-1) unstable; urgency=low

  * add some verbose output to redhat installer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 27 Oct 2016 11:47:54 -0400

hubzero-cli (2.1.15-1) unstable; urgency=low

  * hzcms: do template copy in redhat install as well

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Oct 2016 13:31:14 -0400

hubzero-cli (2.1.14-1) unstable; urgency=low

  * hzcms: check for redhat php54 in more places

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Oct 2016 11:44:10 -0400

hubzero-cli (2.1.13-1) unstable; urgency=low

  * hzcms: check for redhat style directories in more places

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 11:12:59 -0400

hubzero-cli (2.1.12-1) unstable; urgency=low

  * hzcms: add template copying to redhat installer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 24 Oct 2016 12:13:07 -0400

hubzero-cli (2.1.11-1) unstable; urgency=low

  * hzcms: finish change-hostname option

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Oct 2016 15:28:15 -0400

hubzero-cli (2.1.10-1) unstable; urgency=low

  * hzcms: fix mysqld service init.d call for redhat

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Oct 2016 15:47:23 -0400

hubzero-cli (2.1.8-1) unstable; urgency=low

  * hzcms: fix apache logrotate patch for redhat
  * hzcms: check for directory existence before trying to create /etc/httpd/hub.conf.d



## hubzero-cli 2.1.39-1+deb7

=== debian/changelog ===
hubzero-cli (2.1.39-1+deb7) unstable; urgency=low

  * hzcms: don't rename apache conf files under apache 2.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 10:58:06 -0400

hubzero-cli (2.1.38-1) unstable; urgency=low

  * packaging fix for debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 10:42:21 -0400

## hubzero-cli 2.1.40-1+deb7

=== debian/changelog ===
hubzero-cli (2.1.40-1+deb7) unstable; urgency=low

  * hzcms: don't rename apache conf files under apache 2.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 10:58:06 -0400

## hubzero-cli 2.1.41-1+deb7

=== debian/changelog ===
hubzero-cli (2.1.41-1+deb7) unstable; urgency=low

  * hzcms: don't rename apache conf files under apache 2.2
  * hzcms: user integer comparison for apache version check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 11:23:00 -0400

## hubzero-cli 2.1.41-1+deb8

=== debian/changelog ===
hubzero-cli (2.1.41-1+deb8) unstable; urgency=low

  * hzcms: don't rename apache conf files under apache 2.2
  * hzcms: user integer comparison for apache version check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 11:23:00 -0400

## hubzero-cli 2.1.42-1+deb8

=== debian/changelog ===
hubzero-cli (2.1.42-1+deb8) unstable; urgency=low

  * hzcms: add support for hubzero-cms-2.2.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Jun 2018 22:35:53 -0400

hubzero-cli (2.1.41-1) unstable; urgency=low

  * hzcms: don't rename apache conf files under apache 2.2
  * hzcms: user integer comparison for apache version check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 11:23:00 -0400

=== debian/control ===
Source: hubzero-cli
Section: misc
Priority: optional
Maintainer: David R. Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-cli
Architecture: all
Depends: python (>=2.6), python-argparse (>=1.1)|python2.7, hubzero-python, m4, python-ldap, python-dateutil, python-mysqldb, python-pycurl, rsync, ${misc:Depends}
Conflicts: hubzero-cms (<=20130821.1-1)
Description: HUBzero command line interface
 HUBzero command line interface files

## hubzero-cli 2.2.27-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.27-1+deb8) unstable; urgency=low

    * hzcms: support both 2.1/2.1.0 and 2.2/2.2.0 package styles

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 11:47:03 -0400

hubzero-cli (2.2.26-1) unstable; urgency=low

    * hzcms: don't rename apache conf files under apache 2.2
    * fix debian packaging naming

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 20:33:12 -0400

hubzero-cli (2.2.25-1) unstable; urgency=low

    * hzcms: default vnc proxy server variables to empty string
    * hzcms: fix apache config file 2.2->2.4 migration
    * hzcms: use default Mutex config in apache 2.4 for filexfer-xlate

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 20 Jun 2018 14:25:30 -0400

hubzero-cli (2.2.24-1) unstable; urgency=low

    * fix misnamed dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 16:09:03 -0400

hubzero-cli (2.2.23-1) unstable; urgency=low

    * hzcms: debian mod_php service restart support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 15:48:19 -0400

hubzero-cli (2.2.22-1) unstable; urgency=low

    * hzcms: 2.2 CMS install support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 May 2018 10:51:04 -0400

hubzero-cli (2.2.21-1) unstable; urgency=low

    * hzcms: make mw-host function more idempotent

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 11 May 2018 17:12:14 -0400

hubzero-cli (2.2.20-1) unstable; urgency=low

    * hzcms: add mw-host function
    * hzcms: add mw-hosttype function

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 11 May 2018 16:55:21 -0400

hubzero-cli (2.2.19-1) unstable; urgency=low

    * hzcms: add support for hubzero-2.2 package
    * hzcms: add configuration option of mw2-file-service

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 11 May 2018 11:29:44 -0400

hubzero-cli (2.2.18-1) unstable; urgency=low

    * hzcms: use chain instead of fullchain for SSLCHAINFILE

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 May 2018 16:57:31 -0400

hubzero-cli (2.2.17-1) unstable; urgency=low

    * hzcms: make it easier to update site SSL certificates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 May 2018 16:34:56 -0400

hubzero-cli (2.2.16-1) unstable; urgency=low

    * hzcms: restore lost chmod() from createFile()

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 15:02:40 -0400

hubzero-cli (2.2.15-1) unstable; urgency=low

    * hzcms: better hubzero.conf mode check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 14:47:40 -0400

hubzero-cli (2.2.14-1) unstable; urgency=low

    * hzcms: hubzero.conf mode check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 14:40:01 -0400

hubzero-cli (2.2.13-1) unstable; urgency=low

    * hzcms: fix handling of hubzero.conf file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 02 May 2018 11:00:38 -0400

hubzero-cli (2.2.12-1) unstable; urgency=low

    * hzcms: start php-fpm if being used

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 17 Apr 2018 15:32:18 -0400

hubzero-cli (2.2.11-1) unstable; urgency=low

    * hzcms: find php logrotate files if hubzero-php package used

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 17 Apr 2018 11:05:01 -0400

hubzero-cli (2.2.10-1) unstable; urgency=low

    * hzcms: don't add php_admin directives to m4 files
    * hzcms: tighten test for rh/httpd24 installation
    * hzcms: fix exception raise

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 20 Apr 2018 10:18:32 -0400

hubzero-cli (2.2.9-1) unstable; urgency=low

    * hzcms: add missing directory seperators when using apacheConfigDir()

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 17 Apr 2018 10:23:12 -0400

hubzero-cli (2.2.8-1) unstable; urgency=low

    * hzcms: find php.ini when using rh-php56 package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 15:53:52 -0400

hubzero-cli (2.2.7-1) unstable; urgency=low

    * hzcms: support http24 (rh-httpd24) from EL6 SCL

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 11:07:21 -0400

hubzero-cli (2.2.6-1) unstable; urgency=low

    * hzcms: update serviceInit() to be RHEL7 compatible
    * hzcms: update ldap enable code to be RHEL7 compatible
    * hzcms: fixed forgeConfigure and syncLdap definition
    * hzcms: improved support for mw2
    * hzcms: rewrote mwFrontvirtualsshConfigure

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Apr 2018 15:16:56 -0400

hubzero-cli (2.2.5-1) unstable; urgency=low

   * hzcms: revert adding admin to ldap on installation (ldap not required)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2018 11:49:56 -0400

hubzero-cli (2.2.4-1) unstable; urgency=low

   * hzcms: fix CREATE USER sql command

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Mar 2018 15:56:07 -0400

hubzero-cli (2.2.3-1) unstable; urgency=low

   * hzcms: fix syntax error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Mar 2018 15:47:21 -0400

hubzero-cli (2.2.2-1) unstable; urgency=low

   * hzcms: create mysql user explicitly with CREATE USER

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Mar 2018 15:41:38 -0400

hubzero-cli (2.2.1-1) unstable; urgency=low

   * hzcms: fix syntax error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Mar 2018 14:08:12 -0400

hubzero-cli (2.2.0-1) unstable; urgency=low

   * hzcms: handle move of config files from hubzero-cms to hubzero-apache2 packages
   * hzcms: option to autoconfigure or explictly configure mw1/mw2
   * hzcms: use short distnames
   * hzcms: apache 2.4 fixes for use of RewriteLock directive
   * hzcms: mw2 configuration support (wip)
   * hzcms: centos compatability changes (wip)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Mar 2018 13:23:52 -0400

## hubzero-cli 2.2.28-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.28-1+deb8) unstable; urgency=low

    * hzcms: use blanks for vnc proxy server defaults (cms will make defaults)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 16:42:24 -0400

hubzero-cli (2.2.27-1) unstable; urgency=low

    * hzcms: support both 2.1/2.1.0 and 2.2/2.2.0 package styles

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 11:47:03 -0400

## hubzero-cli 2.2.29-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.29-1+deb8) unstable; urgency=low

    * hzcms: add template commnad

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 28 Jun 2018 10:42:13 -0400

hubzero-cli (2.2.28-1) unstable; urgency=low

    * hzcms: use blanks for vnc proxy server defaults (cms will make defaults)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 16:42:24 -0400

## hubzero-cli 2.2.30-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.30-1+deb8) unstable; urgency=low

    * hzcms: don't reset provisions in host table when already set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Jul 2018 13:43:14 -0400

hubzero-cli (2.2.29-1) unstable; urgency=low

    * hzcms: add template commnad

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 28 Jun 2018 10:42:13 -0400

## hubzero-cli 2.2.31-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.31-1+deb8) unstable; urgency=low

    * hzcms: fix undefined old_template variable
    * hzcms: don't reset provisions in host table on update if already set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Jul 2018 15:16:28 -0400

hubzero-cli (2.2.30-1) unstable; urgency=low

    * hzcms: detect and use hubzero-logrotate infrastructure

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 18 Jul 2018 15:58:30 -0400

## hubzero-cli 2.2.32-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.32-1+deb8) unstable; urgency=low

    * hzcms: fix bad apache mutex config removal update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Jul 2018 15:24:30 -0400

hubzero-cli (2.2.31-1) unstable; urgency=low

    * hzcms: fix undefined old_template variable
    * hzcms: don't reset provisions in host table on update if already set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Jul 2018 15:16:28 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-cli
 Architecture: all
-Depends: python (>=2.6), python-argparse (>=1.1)|python2.7, hubzero-python, m4, python-ldap, python-dateutil, python-mysqldb, python-pycurl, rsync, ${misc:Depends}
+Depends: python (>=2.6), python-argparse (>=1.1)|python2.7, hubzero-python, m4, python-ldap, python-dateutil, python-mysqldb, python-pycurl, rsync, binutils, ${misc:Depends}
 Conflicts: hubzero-cms (<=20130821.1-1)
 Description: HUBzero command line interface
  HUBzero command line interface files

## hubzero-cli 2.2.33-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.33-1+deb8) unstable; urgency=low

    * hzcms: fix bad hzvncproxyd-ws init default file location fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 13:32:01 -0400

hubzero-cli (2.2.32-1) unstable; urgency=low

    * hzcms: fix bad apache mutex config removal update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Jul 2018 15:24:30 -0400

## hubzero-cli 2.2.34-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.34-1+deb8) unstable; urgency=low

    * hzcms: remove some hardcoded instances of localhost db host name

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 13:55:43 -0400

hubzero-cli (2.2.33-1) unstable; urgency=low

    * hzcms: fix bad hzvncproxyd-ws init default file location fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 13:32:01 -0400

## hubzero-cli 2.2.35-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.35-1+deb8) unstable; urgency=low

    * hzcms: fix variable name typo introduced in last commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Sep 2018 10:22:34 -0400

hubzero-cli (2.2.34-1) unstable; urgency=low

    * hzcms: remove some hardcoded instances of localhost db host name

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 13:55:43 -0400

## hubzero-cli 2.2.47-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.47-1+deb8) unstable; urgency=low

    * hzcms: mw-host add will now update existing entry rather than fail

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Jan 2019 09:37:55 -0500

hubzero-cli (2.2.46-1) unstable; urgency=low

    * hzcms: configure /etc/modprobe.d/openvz.conf with openvz

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 09 Jan 2019 15:18:08 -0500

hubzero-cli (2.2.45-1) unstable; urgency=low

    * hzcms: fix more file permissions inside cms app directory

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 09 Jan 2019 13:39:05 -0500

hubzero-cli (2.2.44-1) unstable; urgency=low

    * hzcms: look for either mw-exec-service.conf/exec.conf files

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2018 13:38:50 -0500

hubzero-cli (2.2.43-1) unstable; urgency=low

    * rpm: revert defattr change in rpm spec file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2018 11:21:25 -0500

hubzero-cli (2.2.42-1) unstable; urgency=low

    * hzcms: ignore some more benign output from mysql tzdata dump
    * rpm: add missing dependencies in rpm build
    * rpm: change defattr to specify default permissions explicitly

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2018 11:21:25 -0500

hubzero-cli (2.2.41-1) unstable; urgency=low

    * hzcms: assign hubname to correct variable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Dec 2018 16:44:06 -0500

hubzero-cli (2.2.40-1) unstable; urgency=low

    * hzcms: get hubname before trying to use it

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Dec 2018 16:37:10 -0500

hubzero-cli (2.2.39-1) unstable; urgency=low

    * hzcms: fix function name typo
    * hzcms: fix unquoted string
    * hzcms: add missing dbhost argument to uninstallHub subcommand
    * hzcms: remove duplicate uninstallHub subcommand parser

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Dec 2018 16:00:23 -0500

hubzero-cli (2.2.38-1) unstable; urgency=low

    * hzcms: handle renaming of core/bootstrap/Install directory

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Dec 2018 15:18:24 -0500

hubzero-cli (2.2.37-1) unstable; urgency=low

    * hzcms: fix variable name typo introduced in earlier commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Oct 2018 11:43:21 -0400

hubzero-cli (2.2.36-1) unstable; urgency=low

    * hzcms: fix variable name typo introduced in earlier commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Sep 2018 10:22:34 -0400

hubzero-cli (2.2.35-1) unstable; urgency=low

    * hzcms: only reset permissions of core on update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 13:55:43 -0400

## hubzero-cli 2.2.50-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.50-1+deb8) unstable; urgency=low

    * hzcms: create openvz.conf if missing

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Feb 2019 10:54:28 -0500

hubzero-cli (2.2.49-1) unstable; urgency=low

    * hzcms: check for NoOptionError exception in config parser
    * hzcms: set a default value for enable_git

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Feb 2019 20:56:43 -0500

hubzero-cli (2.2.48-1) unstable; urgency=low

    * hzcms: add hzcms configure git

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 13:59:11 -0500

hubzero-cli (2.2.47-1) unstable; urgency=low

    * hzcms: mw-host add will now update existing entry rather than fail

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Jan 2019 09:37:55 -0500

## hubzero-cli 2.2.54-1+deb8

=== debian/changelog ===
hubzero-cli (2.2.54-1+deb8) unstable; urgency=low

    * hzcms: add apps and webuser to hzsvn and hzgit groups

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Apr 2019 16:00:44 -0400

hubzero-cli (2.2.53-1) unstable; urgency=low

    * hzcms: retain trailing newline on last line of file when modified by lineinfile

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 14 Mar 2019 16:47:08 -0400

hubzero-cli (2.2.52-1) unstable; urgency=low

    * hzcms: add support for remi php56 packages
    * hzcms: update /usr/bin/php symlink when needed
    * hzcms: generate hubzero-cms logrotate files programatically
    * hzcms: reorganize logrotate updates
    * hzcms: don't use conf.d directory for site configuration files
    * hzcms: remove more logrotate files when uninstalling a hub

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 11 Mar 2019 16:36:48 -0400

hubzero-cli (2.2.51-1) unstable; urgency=low

    * hzcms: correctly namespace NoOptionError reference

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Mar 2019 11:43:01 -0500

hubzero-cli (2.2.50-1) unstable; urgency=low

    * hzcms: create openvz.conf if missing

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Feb 2019 10:54:28 -0500

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cli
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cli install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-cli 2.2.64-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-cli
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-cli (2.2.64-1+deb8) unstable; urgency=low

    * hzcms: inline configuration.php template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 20 May 2019 10:01:15 -0400

hubzero-cli (2.2.63-1) unstable; urgency=low

    * Add packaging support for Debian 9

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 02 May 2019 15:51:38 -0400

hubzero-cli (2.2.62-1) unstable; urgency=low

    * hzcms: add apps and webuser to hzsvn and hzgit groups

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Apr 2019 16:00:44 -0400

hubzero-cli (2.2.61-1) unstable; urgency=low

    * hzcms: make sure hzmail homedir exists for el installs

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 10:58:59 -0400

hubzero-cli (2.2.60-1) unstable; urgency=low

    * hzcms: hackish fix to remove more old mail gateway config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 10:10:42 -0400

hubzero-cli (2.2.59-1) unstable; urgency=low

    * hzcms: fix typo in mailgateway config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 09:57:39 -0400

hubzero-cli (2.2.58-1) unstable; urgency=low

    * hzcms: hackish fix to remove some old mail gateway config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Apr 2019 16:38:02 -0400

hubzero-cli (2.2.57-1) unstable; urgency=low

    * hzcms: mailgateway add postfix config lines if they don't exist
    * hzcms: fix bad trailing newline handling in lineinfile()/replace()

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Apr 2019 15:45:14 -0400

hubzero-cli (2.2.55-1) unstable; urgency=low

    * hzcms: handle change of location of mailgateway files

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Apr 2019 14:18:55 -0400

hubzero-cli (2.2.54-1) unstable; urgency=low

    * hzcms: refactor hubzero-mailgateway configuration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Apr 2019 11:37:00 -0400

## hubzero-cli 2.2.78-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-cli
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-cli (2.2.78-1+deb9) unstable; urgency=low

    * hzcms: replace apache config virtual host default with wildcard match
    * hzcms: increased sleepInterval to 5 s

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 29 Jun 2020 12:26:44 -0700

hubzero-cli (2.2.77-1) unstable; urgency=low

    * hzcms: comment out httpd config files ssl, autoindex, welcome, userdir (EL)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 06 May 2020 11:33:21 -0700

hubzero-cli (2.2.76-1) unstable; urgency=low

    * hzcms: fix bad cut/paste over m4 dir creation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 04 May 2020 14:12:01 -0700

hubzero-cli (2.2.75-1) unstable; urgency=low

    * hzcms: improve ssl certificate handling

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 15 Apr 2020 22:08:31 -0700

hubzero-cli (2.2.74-1) unstable; urgency=low

    * fix obsolete resetattrs introduced by recent merge of old commit
    * add rhel7 compatible systemd check for php56-php-fpm.service

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Apr 2020 16:31:11 -0700

hubzero-cli (2.2.73-1) unstable; urgency=low

    * update copyright/trademark ownership
    * update email address references
    * remove per file @author references
    * update copyright years
    * hzcms: ensure config and secrets file have correct permissions

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 13 Apr 2020 22:20:42 -0700

hubzero-cli (2.2.72-1) unstable; urgency=low

    * hzcms: refactor serviceInit function
    * hzcms: refactor submit-server configuration to be idempotent

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Nov 2019 11:27:14 -0400

hubzero-cli (2.2.71-1) unstable; urgency=low

    * hzcms: use alternate backref notation to remove ambiguity

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 Nov 2019 18:53:13 -0400

hubzero-cli (2.2.70-1) unstable; urgency=low

    * hzcms: more tweaks to whitespace in regexp

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 Nov 2019 17:32:07 -0400

hubzero-cli (2.2.69-1) unstable; urgency=low

    * hzcms: preserve whitespace when modifying postfix/main.cf

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 Nov 2019 16:53:49 -0400

hubzero-cli (2.2.68-1) unstable; urgency=low

    * hzcms: make mailgateway configuration safe to re-run

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 Nov 2019 15:48:14 -0400

hubzero-cli (2.2.67-1) unstable; urgency=low

    * hzcms: don't overwrite WS_PROXY_ when re-running mw2 client configuration

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 31 oct 2019 09:38:46 -0400

hubzero-cli (2.2.66-1) unstable; urgency=low

    * hzcms: fix duplicate key warning when configuring mw2 service (for real)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 19 Jul 2019 13:43:10 -0400

hubzero-cli (2.2.65-1) unstable; urgency=low

    * hzcms: fix duplicate key warning when configuring mw2 service

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 19 Jul 2019 13:37:39 -0400

hubzero-cli (2.2.64-1) unstable; urgency=low

    * hzcms: inline configuration.php template

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 20 May 2019 10:01:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-cli
 Section: misc
 Priority: optional
-Maintainer: David R. Benham <dbenham@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-cli
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
